AutoTrader UK
AutoTrader UK: Search
Search from AutoTrader UK. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
autotrader-uk
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/autotrader-uk/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/autotrader-uk/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/autotrader-uk/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/autotrader-uk/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/autotrader-uk/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/autotrader-uk/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/autotrader-uk/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/autotrader-uk/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "autotrader-uk.search",
"params": {
"postcode": "SW1A1AA",
"price_search_type": "total",
"make": "BMW",
"page": "1",
"sort": "relevance"
},
"response": {
"success": true,
"data": {
"listings": [
{
"advert_id": "202610227244889",
"type": "NATURAL_LISTING",
"title": "BMW X5",
"sub_title": "3.0d SE Exclusive Edition Auto 4WD Euro 4 5dr",
"attention_grabber": "12 MONTHS MOT | EXTENSIVE HIST",
"price": {
"amount": 2700,
"currency": "GBP",
"display": "£2,700"
},
"vehicle_location": "Crawley (27 miles)",
"location_type": "STANDARD",
"distance": {
"value": 27,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/0c0688ab2d564da695f83178d62a546c.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/47c0209db39d4428a45c88e07c02d009.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/91799836f2eb480280593aa6a5d78eb1.jpg"
],
"number_of_images": 16,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202610227244889?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 1,
"tracking_context": {
"price": 2700,
"make": "BMW",
"model": "X5",
"year": 2005,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
},
{
"advert_id": "202606063062554",
"type": "NATURAL_LISTING",
"title": "BMW 5 Series",
"sub_title": "2.0 518d SE Euro 6 (s/s) 4dr",
"attention_grabber": "",
"price": {
"amount": 2200,
"currency": "GBP",
"display": "£2,200"
},
"vehicle_location": "London (2 miles)",
"location_type": "STANDARD",
"distance": {
"value": 2,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/1e3ed5d54c9145a18980973bc22e2208.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/cb701ead90bb4aba89c1e4e67133cc42.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/b1e014ffc7034cd783a0b36d9ea7fbec.jpg"
],
"number_of_images": 14,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202606063062554?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 2,
"tracking_context": {
"price": 2200,
"make": "BMW",
"model": "5 Series",
"year": 2014,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
},
{
"advert_id": "202610076769720",
"type": "NATURAL_LISTING",
"title": "BMW 3 Series",
"sub_title": "2.0 318Ci 318 Sport Auto 2dr",
"attention_grabber": "",
"price": {
"amount": 1100,
"currency": "GBP",
"display": "£1,100"
},
"vehicle_location": "Stepney (4 miles)",
"location_type": "STANDARD",
"distance": {
"value": 4,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/ffd4885940034a9a942cc496f295a9a4.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/a2f6f511ee434cf28068f6b19786a00b.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/446408cbe38f41d6b3822690ce519ef3.jpg"
],
"number_of_images": 17,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202610076769720?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 3,
"tracking_context": {
"price": 1100,
"make": "BMW",
"model": "3 Series",
"year": 2003,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
}
],
"pagination": {
"page": 1,
"page_count": 2146,
"total_results": 42916,
"has_more": true
}
},
"meta": {
"duration_ms": 1129,
"endpoint_family": "search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the AutoTrader UK API overview for every AutoTrader UK endpoint.
Authorizations
Query Parameters
Maximum string length:
8Available options:
total, monthly Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
100Available options:
private, trade Maximum string length:
50Available options:
relevance, price_asc, price_desc, distance, mileage, year_dsc, year_asc, most_recent Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/autotrader-uk/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/autotrader-uk/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/autotrader-uk/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/autotrader-uk/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/autotrader-uk/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/autotrader-uk/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/autotrader-uk/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/autotrader-uk/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "autotrader-uk.search",
"params": {
"postcode": "SW1A1AA",
"price_search_type": "total",
"make": "BMW",
"page": "1",
"sort": "relevance"
},
"response": {
"success": true,
"data": {
"listings": [
{
"advert_id": "202610227244889",
"type": "NATURAL_LISTING",
"title": "BMW X5",
"sub_title": "3.0d SE Exclusive Edition Auto 4WD Euro 4 5dr",
"attention_grabber": "12 MONTHS MOT | EXTENSIVE HIST",
"price": {
"amount": 2700,
"currency": "GBP",
"display": "£2,700"
},
"vehicle_location": "Crawley (27 miles)",
"location_type": "STANDARD",
"distance": {
"value": 27,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/0c0688ab2d564da695f83178d62a546c.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/47c0209db39d4428a45c88e07c02d009.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/91799836f2eb480280593aa6a5d78eb1.jpg"
],
"number_of_images": 16,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202610227244889?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 1,
"tracking_context": {
"price": 2700,
"make": "BMW",
"model": "X5",
"year": 2005,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
},
{
"advert_id": "202606063062554",
"type": "NATURAL_LISTING",
"title": "BMW 5 Series",
"sub_title": "2.0 518d SE Euro 6 (s/s) 4dr",
"attention_grabber": "",
"price": {
"amount": 2200,
"currency": "GBP",
"display": "£2,200"
},
"vehicle_location": "London (2 miles)",
"location_type": "STANDARD",
"distance": {
"value": 2,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/1e3ed5d54c9145a18980973bc22e2208.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/cb701ead90bb4aba89c1e4e67133cc42.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/b1e014ffc7034cd783a0b36d9ea7fbec.jpg"
],
"number_of_images": 14,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202606063062554?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 2,
"tracking_context": {
"price": 2200,
"make": "BMW",
"model": "5 Series",
"year": 2014,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
},
{
"advert_id": "202610076769720",
"type": "NATURAL_LISTING",
"title": "BMW 3 Series",
"sub_title": "2.0 318Ci 318 Sport Auto 2dr",
"attention_grabber": "",
"price": {
"amount": 1100,
"currency": "GBP",
"display": "£1,100"
},
"vehicle_location": "Stepney (4 miles)",
"location_type": "STANDARD",
"distance": {
"value": 4,
"unit": "miles"
},
"images": [
"https://m.atcdn.co.uk/a/media/{resize}/ffd4885940034a9a942cc496f295a9a4.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/a2f6f511ee434cf28068f6b19786a00b.jpg",
"https://m.atcdn.co.uk/a/media/{resize}/446408cbe38f41d6b3822690ce519ef3.jpg"
],
"number_of_images": 17,
"seller_type": "PRIVATE",
"dealer_link": "",
"fpa_link": "/car-details/202610076769720?sort=relevance&searchId=07b3f6d8-f090-4951-ba5f-0a9b8fc1bfa6",
"has_digital_retailing": false,
"pre_reg": false,
"dealer_review": {},
"position": 3,
"tracking_context": {
"price": 1100,
"make": "BMW",
"model": "3 Series",
"year": 2003,
"condition": "used",
"price_indicator": "NOANALYSIS"
}
}
],
"pagination": {
"page": 1,
"page_count": 2146,
"total_results": 42916,
"has_more": true
}
},
"meta": {
"duration_ms": 1129,
"endpoint_family": "search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}